---
title: RTCRtpSynchronizationSource.voiceActivityFlag
slug: Web/API/RTCRtpSynchronizationSource/voiceActivityFlag
tags:
  - API
  - Media
  - Property
  - RTCRtpSynchronizationSource
  - RTP
  - Voice Activity Detection
  - Voice Detection
  - WebRTC
  - voiceActivityFlag
---
<div>{{APIRef("WebRTC API")}}{{non-standard_header}}{{deprecated_header}}</div>

<p><span class="seoSummary">The read-only <strong><code>voiceActivityFlag</code></strong> property of the {{domxref("RTCRtpSynchronizationSource")}} interface indicates whether or not the most recent RTP packet on the source includes voice activity.</span> This is only present if the stream is using the voice activity detection feature; see the <code>RTCOfferOptions</code> flag <code><a href="/en-US/docs/Web/API/RTCPeerConnection/createOffer#RTCOfferOptions_dictionary">voiceActivityDetection</a></code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>voiceActivity</em> = <em>RTCRtpSynchronizationSource</em>.voiceActivityFlag</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value which is <code>true</code> if voice activity is present in the most recently received RTP packet played by the associated source, or <code>false</code> if voice activity is not present.</p>

<div class="note">
<p>This property is omitted entirely if voice activity detection is not enabled on the source, or if the {{RFC(6464)}} extension header isn't present.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpSynchronizationSource.voiceActivityFlag")}}</p>
</div>
